Bug 439425 - incorrectly handles dangling symlinks
incorrectly handles dangling symlinks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sectool (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 13:33 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 12:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-03-28 13:33:07 EDT
Description of problem:

Example error:

        Error(04)     File /usr/bin/platex-jis, which is placed in PATH
directory /usr/bin, is writable NOT only by his owner! The correct permissions
should be 755.

platex-jis, in this case, is a dangling symlink to /usr/bin/ptex (which doesn't
exist).

Version-Release number of selected component (if applicable):

sectool-0.6.0-1.noarch
Comment 1 Michel Samia 2008-03-31 12:12:33 EDT
Hi,

thanks for the report. Yes, I didn't consider this situation. It was a trivial
fix. Again, you can find it in our git or in next release.

Also it inspired me to create a special test called "symlinks" :o) (for now it
sits in my TODO list..)

msamia

Note You need to log in before you can comment on or make changes to this bug.